Summary:	Stuttgart Finite State Transducer Tools
Summary(pl.UTF-8):	Stuttgart Finite State Transducer Tools - narzędzia do automatów skończonych
Name:		SFST
Version:	1.4.7c
Release:	2
License:	GPL v2+
Group:		Development/Tools
#Source0Download: http://www.cis.uni-muenchen.de/~schmid/tools/SFST/
Source0:	http://www.cis.uni-muenchen.de/~schmid/tools/SFST/data/%{name}-%{version}.tar.gz
# Source0-md5:	34d220f3c7216094653ddc82924b00e2
URL:		http://www.ims.uni-stuttgart.de/projekte/gramotron/SOFTWARE/SFST.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	m4
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SFST is a toolbox for the implementation of morphological analysers
and other tools which are based on finite state transducer technology.

The SFST tools comprise:
- a compiler which translates transducer programs into minimised
  transducers
- interactive and batch-mode analysis programs
- tools for comparing and printing transducers
- an efficient C++ transducer library

%description -l pl.UTF-8
SFST to zestaw narzędzi do implementowania analizatorów
morfologicznych i innych narzędzi opartych na automatach skończonych z
wyjściem.

Narzędzia SFST obejmują:
- kompilator tłumaczący programy na zminimalizowane automaty skończone
  z wyjściem
- interaktywne i wsadowe programy do analizy
- narzędzia do porównywania i wypisywania automatów
- wydajną bibliotekę automatów skończonych z wyjściem dla C++

%package devel
Summary:	Header files for SFST library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SFST
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SFST library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SFST.

%prep
%setup -q -n %{name}

sed -i -e '/^	strip/d' src/Makefile

%build
%{__make} -C src libsfst.so \
	CC="%{__cxx}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags} \$(WARNING) -DSGI__gnu_cxx -DREADLINE -fPIC" \
	LDFLAGS="%{rpmldflags}"

%{__make} -C src \
	CC="%{__cxx}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcxxflags} \$(WARNING) -DSGI__gnu_cxx -DREADLINE" \
	LDFLAGS="%{rpmldflags}" \
	LREADLINE="-lreadline"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT%{_prefix}/

%{__make} -C src maninstall \
	DESTDIR=$RPM_BUILD_ROOT%{_datadir}/

install -D src/libsfst.so $RPM_BUILD_ROOT%{_libdir}/libsfst.so

%{__make} -C src hfiles \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}/

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README doc/{SFST-Manual,SFST-Tutorial}.pdf
%attr(755,root,root) %{_bindir}/fst-*
%attr(755,root,root) %{_libdir}/libsfst.so
%{_mandir}/man1/fst-*.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/sfst
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SFST.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 99c6b07
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Sat Sep 03 2016 Jakub Bogusz <qboosh@pld-linux.org> d033a68
- new Source0 URL, updated to 1.4.7c
- removed obsolete build patch

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> b3a76eb
- release 2 (by relup.sh)

* Tue Dec 03 2013 Jan Rękorajski <baggins@pld-linux.org> 7b428c3
- fix variable redefinition

* Sat Mar 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 3fae05d
- updated to 1.4.6g

* Sat Jan 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 446dfa3
- updated to 1.4.6f

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 8ce5e52
- up to 1.4.6e

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 8fc8deb
- updated to 1.4.6d

* Tue Sep 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 106ba54
- updated to 1.4.6b

* Sat Aug 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 690afda
- updated to 1.4.6a

* Wed Aug 03 2011 Jakub Bogusz <qboosh@pld-linux.org> d35cd92
- updated to 1.4.5

* Wed Jul 13 2011 Jakub Bogusz <qboosh@pld-linux.org> cbe3a61
- updated to 1.4.4

* Sat Jun 18 2011 Jakub Bogusz <qboosh@pld-linux.org> c25ee96
- updated to 1.4.3

* Fri Apr 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 3245674
- new

